"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BodyParameterExtractor = void 0;
const BaseParameterExtractor_1 = require("./BaseParameterExtractor");
class BodyParameterExtractor extends BaseParameterExtractor_1.BaseParameterExtractor {
    constructor() {
        super(BodyParameterExtractor);
        this.source = "virtual";
        this.name = "body";
    }
    extract(request) {
        this.logger.debug("Extracting body from request");
        this.logger.trace("Request body: %j", request.body);
        return request.body;
    }
}
exports.BodyParameterExtractor = BodyParameterExtractor;
//# sourceMappingURL=BodyParameterExtractor.js.map