import { SecuritySchemeObject } from "openapi3-ts";
/**
 * Decorator for a auth filter implementation to describe it in any generated
 * OpenAPI specification as a security scheme.
 *
 * @param name Name of the API security scheme.
 * @param securitySchemeInfo `openapi3-ts` security scheme model.
 */
export declare function apiSecurity(name: string, securitySchemeInfo: SecuritySchemeObject): (classDefinition: Function) => void;
